Forum Linux.noyau USB 2.0 sur kernel 2.4 ?

Posté par (page perso) .
Tags : aucun
0
9
fév.
2006
Hello,

j'aimerais savoir
1. si le support USB 2.0 est intégré dans le kernel 2.4
2. question bonus: à partir de quelle version ?

parce que je n'ai pas trouvé sur le net de liste de feature, malgré des recherches sur kernel.org et kerneltrap...

Merci d'avance et bonne journée
  • # Raaa....

    Posté par . Évalué à 9.

    Premier lien dans la recherche google "Linux USB2":

    http://www.linux-usb.org/usb2.html

    Vivement la boite à baffes en USB(2) pilotable à distance ....
    • [^] # Re: Raaa....

      Posté par (page perso) . Évalué à 3.

      En fait j'ai bien vu cette page, mais en lisant "Last Update: 29 November 2004", je n'étais pas sûr que cela puisse répondre à ma question...

      Le document est un peu confus, ce qui ne me permet pas de dire que l'USB 2.0 est "stable" à partir de telle version.

      D'après ce document, je dirais 2.4.22, mais bon, je préfèrerais avoir confirmation...
      • [^] # Re: Raaa....

        Posté par . Évalué à 2.

        Je te confirme, ce document veut bien dire que c'est stable à partir du 2.4.22 pour la série 2.4, et pour toute la série 2.6.

        If you're a 2.4 user, use 2.4.22 or newer kernels. Newer kernels (including 2.6.x ones) have updates which seem to resolve the worst problems reported. The driver version string should be no older than June 2003. (VT6202 problems may still remain, especially on 2.4 kernels.)

        Some older Linux distributions ship 2.4.18 kernels with EHCI code based on much older code, similar to what was in 2.5.2; the newer code supports more hardware, fixes bugs, is smaller, and has other goodness. If you're building a distribution, avoid using such old code; in particular, 2.4 versions of the EHCI driver are no longer being kept current.


        En résumé et en français, ça donne ça:
        Les 2.4.22 et suivants ont l'air de ne plus avoir de problème gênant, contrairement à certains anciens 2.4.18 contenant du code encore plus vieux, genre ce qu'il y avait dans le 2.5.2; le nouveau code supporte plus de matériels, corrige des bug, est plus petit, est plus joli, est plus sympa, allume ta télé et te sort les bières ;-)

Suivre le flux des commentaires

Note : les commentaires appartiennent à ceux qui les ont postés. Nous n'en sommes pas responsables.